Read Analysis Source - MindBridge Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Read Analysis Source
Request
GET /v1/analysis-sources/{analysisSourceId}
cURL
curl --request GET \
--url https://{tenant}.mindbridge.ai/api/v1/analysis-sources/{analysisSourceId} \
--header 'Authorization: Bearer <token>'
Example Code Blocks
Python
import requests
url = "https://{tenant}.mindbridge.ai/api/v1/analysis-sources/{analysisSourceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}.mindbridge.ai/api/v1/analysis-sources/{analysisSourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/analysis-sources/{analysisSourceId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenant}.mindbridge.ai/api/v1/analysis-sources/{analysisSourceId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest (Java)
HttpResponse<String> response = Unirest.get("https://{tenant}.mindbridge.ai/api/v1/analysis-sources/{analysisSourceId}")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://{tenant}.mindbridge.ai/api/v1/analysis-sources/{analysisSourceId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Response
200
{
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"engagementId": "<string>",
"analysisId": "<string>",
"analysisPeriodId": "<string>",
"analysisSourceTypeId": "<string>",
"fileManagerFileId": "<string>",
"additionalDataColumnField": "<string>",
"warningsIgnored": true,
"warnings": [
{
"code": "<string>",
"defaultMessage": "<string>"
}
],
"errors": [
{
"code": "<string>",
"defaultMessage": "<string>"
}
],
"applyDegrouper": true,
"degrouperApplied": true,
"fileInfo": {
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"name": "<string>",
"formatDetected": true
},
"proposedColumnMappings": [
{
"columnPosition": 123,
"virtualColumnIndex": 123,
"mindbridgeField": "<string>",
"additionalColumnName": "<string>"
}
],
"columnMappings": [
{
"position": 123,
"field": "<string>",
"mindbridgeField": "<string>",
"additionalColumnName": "<string>"
}
],
"proposedVirtualColumns": [
{
"columnIndex": 123,
"name": "<string>"
}
],
"virtualColumns": [
{
"name": "<string>",
"columnIndex": 123,
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"index": 123
}
],
"proposedAmbiguousColumnResolutions": [
{
"position": 1,
"selectedFormat": "<string>"
}
],
"ambiguousColumnResolutions": [
{
"position": 123,
"ambiguousFormats": [
"<string>"
],
"selectedFormat": "<string>"
}
],
"proposedTransactionIdSelection": {
"columnSelection": [
123
],
"virtualColumnSelection": [
123
],
"applySmartSplitter": true
},
"transactionIdSelection": {
"columnSelection": [
123
],
"virtualColumnSelection": [
123
],
"applySmartSplitter": true
},
"fileInfoVersions": {},
"fileManagerFiles": {}
}
Authorizations
Authorization
- Type: string
- Location: header
- Required: Bearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Path Parameters
- analysisSourceId: string (required)
- Description: The unique identifier for the analysis source.